%define anolis_release 5
%global _hardened_build 1

Summary: Tools for debuginfo creation
Name: debugedit
Version: 5.0
Release: %{anolis_release}%{?dist}

License: GPLv3+ and GPLv2+ and LGPLv2+
URL: https://sourceware.org/debugedit/
Source0: https://sourceware.org/pub/%{name}/%{version}/%{name}-%{version}.tar.xz

Patch0001: 0001-use-READELF-not-readelf.patch
Patch0002: 0001-tests-Handle-zero-directory-entry-in-.debug_line-DWA.patch
Patch0003: 0001-find-debuginfo-Pass-j-down-to-dwz.patch
Patch0004: 0002-configure.ac-Use-AC_LINK_IFELSE-for-gz-none-check.patch
Patch0005: 0003-configure.ac-Use-AC_LANG_PROGRAM-for-AC_LINK_IFELSE-.patch
Patch0006: 0004-scripts-find-debuginfo.in-Add-q-quiet.patch

BuildRequires: make, gcc > 12.0, help2man, dwz, autoconf, automake
BuildRequires: pkgconfig(libelf), pkgconfig(libdw)

Requires: elfutils, binutils, findutils, gawk, coreutils, xz
Requires: /usr/bin/gdb-add-index
Suggests: gdb-minimal
Requires: sed, dwz, grep

%description
%{name} is a tool used for debugging programs in Linux. It allows
developers to view and modify debugging information associated with
ELF (Executable Linkable Format) files. This tool enables developers
to track down software bugs by identifying and manipulating the source
code or binary files at runtime. %{name} provides a set of commands
that allow developers to analyze and manipulate the symbol table, source
files, and line number information in ELF files.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -ivf
%configure
%make_build

%install
%make_install

cd %{buildroot}%{_bindir}
ln -s find-debuginfo find-debuginfo.sh
%generate_compatibility_deps

%check
%make_build check

%files
%license COPYING COPYING3 COPYING.LIB
%dir %{abidir}
%{_bindir}/debugedit
%{abidir}/debugedit-option.list
%{_bindir}/sepdebugcrcfix
%{abidir}/sepdebugcrcfix-option.list
%{_bindir}/find-debuginfo
%{abidir}/find-debuginfo-option.list
%{_bindir}/find-debuginfo.sh
%{_mandir}/man1/debugedit.1*
%{_mandir}/man1/sepdebugcrcfix.1*
%{_mandir}/man1/find-debuginfo.1*

%files doc 
%doc README

%changelog
* Tue Apr 11 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> -5.0-5
- Optimize spec file

* Sun Feb 26 2023 Funda Wang <fundawang@yeah.net> - 5.0-4
- Sync with upstream patches

* Wed Feb 08 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 5.0-3
- Add abi file

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba0inc.com> - 5.0-2
- add doc package

* Fri May 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.0-1
- init from upstream
